%global dropdir %(pkg-config libpcsclite --variable usbdropdir 2>/dev/null)
%global pcsc_lite_ver 1.8.9

Summary:        Generic USB CCID smart card reader driver
Name:           pcsc-lite-ccid
Version:        1.5.2
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://ccid.apdu.fr/files
Source0:        https://ccid.apdu.fr/files/ccid-%{version}.tar.bz2
Patch3000:      ccid-1.4.26-omnikey-3121.patch

BuildRequires:  make gcc
BuildRequires:  perl-interpreter perl-Getopt-Long
BuildRequires:  libusb1-devel
BuildRequires:  pcsc-lite-devel >= %{pcsc_lite_ver}
Requires(post): systemd
Requires(postun): systemd
Requires:       pcsc-lite >= %{pcsc_lite_ver}
Provides:       pcsc-ifd-handler
Provides:       ccid = %{version}-%{release}
Provides:       bundled(simclist) = 1.6

%description
This package provides Generic USB CCID (Chip/Smart Card Interface Devices) drivers that 
need to be used with the PC/SC Lite daemon.

%prep
%autosetup -p1 -n ccid-%{version}

%build
%configure --enable-twinserial
%make_build

%install
%make_install
cp -p src/openct/LICENSE LICENSE.openct

%post
/bin/systemctl try-restart pcscd.service >/dev/null 2>&1 || :

%postun
/bin/systemctl try-restart pcscd.service >/dev/null 2>&1 || :

%files
%license COPYING LICENSE.openct
%doc AUTHORS ChangeLog README.md
%config(noreplace) %{_sysconfdir}/reader.conf.d/libccidtwin
%{dropdir}/ifd-ccid.bundle/
%{dropdir}/serial/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 13 2023 Wang Guodong <gordonwwang@tencent.com> - 1.5.2-1
- Upgrade to 1.5.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Sep 16 2022 Wang Guodong <gordonwwang@tencent.com> - 1.5.0-1
- package init.
